Bug 61714 - Unable to start screen as regular user
Unable to start screen as regular user
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-03-23 08:50 EST by Leonid Kanter
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-27 14:34:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2002-03-23 08:50:53 EST
Description of Problem:

Unable to start screen as regular user: 
[leon@leon leon]$ screen -R
setreuid: Operation not permitted
For root everything is OK

Version-Release number of selected component (if applicable):


How Reproducible:

Comment 1 Phil Copeland 2002-03-26 15:05:04 EST
ssh -l leon localhost

I've seen reports like this before where people su - <userid> which oes NOT
change the owner of the pty (consider what happens when you exit that su -)
hence the change of UID means that you loose permission to fiddle with the pty
which is still owned by root

If that doesn't work let me know
Comment 2 Jens Petersen 2002-03-26 21:05:15 EST
What locale are you using?  Could you try:

    LANG=C screen

and see what happens.
Comment 3 Leonid Kanter 2002-03-27 10:48:24 EST
[leon@leon leon]$ echo $LANG
[leon@leon leon]$ screen -R
setreuid: Operation not permitted  (bug)
[leon@leon leon]$ LANG=C screen
[detached]  (OK!)

Comment 4 Phil Copeland 2002-03-27 14:34:26 EST
/me slaps Florian around for nixing the CKJ support (idiot)

Have a look for screen-3.9.10-1 in rawhide
the 3.9.11-1 is a mess. 3.9.10-1 should work fine

Comment 5 Bill Nottingham 2002-04-02 12:42:48 EST
This works for me with 3.9.10-1; please reopen if it fails for you with that

Note You need to log in before you can comment on or make changes to this bug.